[arch-commits] Commit in tiacx/trunk (PKGBUILD acx.install kernel-2.6.27.patch)

Thomas Baechler thomas at archlinux.org
Fri Oct 10 15:36:28 UTC 2008


    Date: Friday, October 10, 2008 @ 11:36:27
  Author: thomas
Revision: 14786

upgpkg: tiacx 20080210-7

Added:
  tiacx/trunk/kernel-2.6.27.patch
Modified:
  tiacx/trunk/PKGBUILD
  tiacx/trunk/acx.install

---------------------+
 PKGBUILD            |   13 ++++---
 acx.install         |    6 +--
 kernel-2.6.27.patch |   82 ++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 93 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-10 15:36:23 UTC (rev 14785)
+++ PKGBUILD	2008-10-10 15:36:27 UTC (rev 14786)
@@ -3,20 +3,23 @@
 
 pkgname=tiacx
 pkgver=20080210
-pkgrel=6
+pkgrel=7
 pkgdesc="OpenSource module for Texas Instruments ACX100/ACX111 wireless chips. For stock arch 2.6 kernel"
 arch=(i686 x86_64)
 url="http://acx100.sourceforge.net/"
 license=('MPL')
-depends=('wireless_tools' 'kernel26>=2.6.26-1' 'kernel26<2.6.27' 'tiacx-firmware')
+depends=('wireless_tools' 'kernel26>=2.6.27' 'kernel26<2.6.28' 'tiacx-firmware')
 install=acx.install
-source=(http://downloads.sourceforge.net/sourceforge/acx100/acx-$pkgver.tar.bz2)
-md5sums=('7d5ce3215708e4e9f95cf567a9ee3a12')
+source=(http://downloads.sourceforge.net/sourceforge/acx100/acx-$pkgver.tar.bz2
+        kernel-2.6.27.patch)
+md5sums=('7d5ce3215708e4e9f95cf567a9ee3a12'
+         '9895f72f8d0c84956b0f6c3b16df0fe8')
 
-_kernver=2.6.26-ARCH
+_kernver=2.6.27-ARCH
 
 build() {
     cd $startdir/src/acx-$pkgver
+    patch -Np1 -i ../kernel-2.6.27.patch || return 1
     make -C /lib/modules/${_kernver}/build M=`pwd` || return 1
     install -D acx.ko $startdir/pkg/lib/modules/${_kernver}/kernel/drivers/net/wireless/tiacx/acx.ko
     sed -i -e "s/KERNEL_VERSION='.*'/KERNEL_VERSION='${_kernver}'/" $startdir/*.install

Modified: acx.install
===================================================================
--- acx.install	2008-10-10 15:36:23 UTC (rev 14785)
+++ acx.install	2008-10-10 15:36:27 UTC (rev 14786)
@@ -1,20 +1,20 @@
 # arg 1:  the new package version
 post_install() {
-  KERNEL_VERSION='2.6.26-ARCH'
+  KERNEL_VERSION='2.6.27-ARCH'
   depmod -v $KERNEL_VERSION > /dev/null 2>&1 
 }
 
 # arg 1:  the new package version
 # arg 2:  the old package version
 post_upgrade() {
-  KERNEL_VERSION='2.6.26-ARCH'
+  KERNEL_VERSION='2.6.27-ARCH'
   depmod -v $KERNEL_VERSION > /dev/null 2>&1	 
   
 }
 
 # arg 1:  the old package version
 post_remove() {
-  KERNEL_VERSION='2.6.26-ARCH'
+  KERNEL_VERSION='2.6.27-ARCH'
   depmod -v $KERNEL_VERSION > /dev/null 2>&1	 
 }
 

Added: kernel-2.6.27.patch
===================================================================
--- kernel-2.6.27.patch	                        (rev 0)
+++ kernel-2.6.27.patch	2008-10-10 15:36:27 UTC (rev 14786)
@@ -0,0 +1,82 @@
+diff -Nur acx-20080210.orig/ioctl.c acx-20080210/ioctl.c
+--- acx-20080210.orig/ioctl.c	2008-02-10 21:06:42.000000000 +0100
++++ acx-20080210/ioctl.c	2008-10-10 17:07:32.000000000 +0200
+@@ -489,6 +489,7 @@
+ static char*
+ acx_s_scan_add_station(
+ 	acx_device_t *adev,
++	struct iw_request_info *info,
+ 	char *ptr,
+ 	char *end_buf,
+ 	struct client *bss)
+@@ -503,14 +504,14 @@
+ 	iwe.u.ap_addr.sa_family = ARPHRD_ETHER;
+ 	MAC_COPY(iwe.u.ap_addr.sa_data, bss->bssid);
+ 	acxlog_mac(L_IOCTL, "scan, station address: ", bss->bssid, "\n");
+-	ptr = iwe_stream_add_event(ptr, end_buf, &iwe, IW_EV_ADDR_LEN);
++	ptr = iwe_stream_add_event(info, ptr, end_buf, &iwe, IW_EV_ADDR_LEN);
+ 
+ 	/* Add ESSID */
+ 	iwe.cmd = SIOCGIWESSID;
+ 	iwe.u.data.length = bss->essid_len;
+ 	iwe.u.data.flags = 1;
+ 	log(L_IOCTL, "scan, essid: %s\n", bss->essid);
+-	ptr = iwe_stream_add_point(ptr, end_buf, &iwe, bss->essid);
++	ptr = iwe_stream_add_point(info, ptr, end_buf, &iwe, bss->essid);
+ 
+ 	/* Add mode */
+ 	iwe.cmd = SIOCGIWMODE;
+@@ -520,7 +521,7 @@
+ 		else
+ 			iwe.u.mode = IW_MODE_ADHOC;
+ 		log(L_IOCTL, "scan, mode: %d\n", iwe.u.mode);
+-		ptr = iwe_stream_add_event(ptr, end_buf, &iwe, IW_EV_UINT_LEN);
++		ptr = iwe_stream_add_event(info, ptr, end_buf, &iwe, IW_EV_UINT_LEN);
+ 	}
+ 
+ 	/* Add frequency */
+@@ -528,7 +529,7 @@
+ 	iwe.u.freq.m = acx_channel_freq[bss->channel - 1] * 100000;
+ 	iwe.u.freq.e = 1;
+ 	log(L_IOCTL, "scan, frequency: %d\n", iwe.u.freq.m);
+-	ptr = iwe_stream_add_event(ptr, end_buf, &iwe, IW_EV_FREQ_LEN);
++	ptr = iwe_stream_add_event(info, ptr, end_buf, &iwe, IW_EV_FREQ_LEN);
+ 
+ 	/* Add link quality */
+ 	iwe.cmd = IWEVQUAL;
+@@ -546,7 +547,7 @@
+ 	iwe.u.qual.updated = 7;
+ 	log(L_IOCTL, "scan, link quality: %d/%d/%d\n",
+ 			iwe.u.qual.level, iwe.u.qual.noise, iwe.u.qual.qual);
+-	ptr = iwe_stream_add_event(ptr, end_buf, &iwe, IW_EV_QUAL_LEN);
++	ptr = iwe_stream_add_event(info, ptr, end_buf, &iwe, IW_EV_QUAL_LEN);
+ 
+ 	/* Add encryption */
+ 	iwe.cmd = SIOCGIWENCODE;
+@@ -556,7 +557,7 @@
+ 		iwe.u.data.flags = IW_ENCODE_DISABLED;
+ 	iwe.u.data.length = 0;
+ 	log(L_IOCTL, "scan, encryption flags: %X\n", iwe.u.data.flags);
+-	ptr = iwe_stream_add_point(ptr, end_buf, &iwe, bss->essid);
++	ptr = iwe_stream_add_point(info, ptr, end_buf, &iwe, bss->essid);
+ 
+ 	/* add rates */
+ 	iwe.cmd = SIOCGIWRATE;
+@@ -570,7 +571,7 @@
+ 		if (rate & 1) {
+ 			iwe.u.bitrate.value = *p * 500000; /* units of 500kb/s */
+ 			log(L_IOCTL, "scan, rate: %d\n", iwe.u.bitrate.value);
+-			ptr_rate = iwe_stream_add_value(ptr, ptr_rate, end_buf,
++			ptr_rate = iwe_stream_add_value(info, ptr, ptr_rate, end_buf,
+ 						&iwe, IW_EV_PARAM_LEN);
+ 		}
+ 		rate >>= 1;
+@@ -625,7 +626,7 @@
+ 	for (i = 0; i < ARRAY_SIZE(adev->sta_list); i++) {
+ 		struct client *bss = &adev->sta_list[i];
+ 		if (!bss->used) continue;
+-		ptr = acx_s_scan_add_station(adev, ptr,
++		ptr = acx_s_scan_add_station(adev, info, ptr,
+ 			extra + IW_SCAN_MAX_DATA, bss);
+ 	}
+ 	dwrq->length = ptr - extra;




More information about the arch-commits mailing list